# DirectoryBuilder Class Reference

Inheritance diagram for DirectoryBuilder:
[legend]

List of all members.

## Public Member Functions

| __construct (EntityProto $proto)
| setDirectory ($directory)
| getDirectory ()
| setPermissions ($permissions)
| getPermissions ()
| setIdentityMap (DirectoryContext $identityMap)
| getIdentityMap ()
| cloneBuilder (EntityProto $proto)
| cloneInnerBuilder ($property)
| makeListItemBuilder ($object)

## Protected Member Functions

| createEmpty ()
| safeClean ()
| checkDirectory ()

## Protected Attributes

| $directory = null
| $permissions = 0700
| $identityMap = null

## Detailed Description

Definition at line 12 of file DirectoryBuilder.class.php.

## Constructor & Destructor Documentation

DirectoryBuilder::__construct | ( | EntityProto $ | proto | ) |

Reimplemented from PrototypedBuilder.

Definition at line 18 of file DirectoryBuilder.class.php.

## Member Function Documentation

DirectoryBuilder::checkDirectory | ( |  | ) | `[protected]`

Definition at line 136 of file DirectoryBuilder.class.php.

Referenced by cloneInnerBuilder(), ObjectToDirectoryBinder::make(), and makeListItemBuilder().

DirectoryBuilder::cloneBuilder | ( | EntityProto $ | proto | ) |

Returns:
  PrototypedBuilder

Reimplemented from PrototypedBuilder.

Definition at line 64 of file DirectoryBuilder.class.php.

References setDirectory(), setIdentityMap(), and setPermissions().

Referenced by makeListItemBuilder().

Here is the call graph for this function:

DirectoryBuilder::cloneInnerBuilder | ( | $ | property | ) |

Reimplemented from PrototypedBuilder.

Definition at line 76 of file DirectoryBuilder.class.php.

References checkDirectory(), setDirectory(), setIdentityMap(), and setPermissions().

Here is the call graph for this function:

DirectoryBuilder::createEmpty | ( |  | ) | `[protected]`

Reimplemented from PrototypedBuilder.

Definition at line 104 of file DirectoryBuilder.class.php.

DirectoryBuilder::getDirectory | ( |  | ) |

Definition at line 32 of file DirectoryBuilder.class.php.

DirectoryBuilder::getIdentityMap | ( |  | ) |

Definition at line 56 of file DirectoryBuilder.class.php.

DirectoryBuilder::getPermissions | ( |  | ) |

Definition at line 44 of file DirectoryBuilder.class.php.

DirectoryBuilder::makeListItemBuilder | ( | $ | object | ) |

Reimplemented from PrototypedBuilder.

Definition at line 90 of file DirectoryBuilder.class.php.

References checkDirectory(), cloneBuilder(), setDirectory(), and setPermissions().

Here is the call graph for this function:

DirectoryBuilder::safeClean | ( |  | ) | `[protected]`

Definition at line 119 of file DirectoryBuilder.class.php.

Referenced by ObjectToDirectoryBinder::make().

DirectoryBuilder::setDirectory | ( | $ | directory | ) |

Definition at line 25 of file DirectoryBuilder.class.php.

References $directory.

Referenced by cloneBuilder(), cloneInnerBuilder(), and makeListItemBuilder().

DirectoryBuilder::setIdentityMap | ( | DirectoryContext $ | identityMap | ) |

Definition at line 49 of file DirectoryBuilder.class.php.

Referenced by cloneBuilder(), cloneInnerBuilder(), and ObjectToDirectoryBinder::makeReverseBuilder().

DirectoryBuilder::setPermissions | ( | $ | permissions | ) |

Definition at line 37 of file DirectoryBuilder.class.php.

References $permissions.

Referenced by cloneBuilder(), cloneInnerBuilder(), and makeListItemBuilder().

## Member Data Documentation

DirectoryBuilder::$directory = null`[protected]`

Definition at line 14 of file DirectoryBuilder.class.php.

Referenced by setDirectory().

DirectoryBuilder::$identityMap = null`[protected]`

Definition at line 16 of file DirectoryBuilder.class.php.

DirectoryBuilder::$permissions = 0700`[protected]`

Definition at line 15 of file DirectoryBuilder.class.php.

Referenced by setPermissions().

The documentation for this class was generated from the following file:

- main/EntityProto/Builders/DirectoryBuilder.class.php